> For the complete documentation index, see [llms.txt](https://docs.fuksus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fuksus.com/fuksus-crafting/configuration/translating.md).

# Translating

UI's translation can be found in **ui/locale/en.json**

```json
{
    "crafting_recipes": "Crafting recipes",
    "availible_recipes": "availible crafting recipes.",
    "add_to_table": "Add to Crafting table",
    "not_enough_items": "Lack of items for craft",
    "crafting_table": "Crafting table",
    "table_recipes": "recipes.",
    "add_recipe": "Add recipe",
    "add_recipe_text": "If you want to start making an item, add the recipe to the crafting table",
    "claim_production": "Claim production",
    "cancel_production": "Cancel production",
    "craft_item": "Craft item",
    "crafting": "Crafting...",
    "crafted": "Crafted",
    "modal_header": "Are you sure ?",
    "modal_text": "Do you really wanto to cancel this production? This process cannot be undone.",
    "modal_cancel": "Cancel",
    "modal_confirm": "Confirm"
}
```

Notifications and other can be found in **shared/locale.lua**

```lua
Locale = {
    ['en'] = {
        ['open_crafing'] = '~INPUT_CONTEXT~ open crafting menu',
        ['no_required_job'] = 'You dont have the required job for this crafting bench',
        ['not_enough_items'] = 'You dont have the required items for this recipe',
        ['not_enough_space'] = 'You dont have enough space in your inventory',
        ['need_to_be_near'] = 'You need to be near to the crafting table to craft your recipes',
        ['not_enough_level'] = 'You dont have the specified level to get this item'
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fuksus.com/fuksus-crafting/configuration/translating.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
